1. Omni
梧柏API使用文档
WHBAI · Omni 视频
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Omni
    • Omni-Flash 视频生成
      POST
    • 查询结果
      GET
  • omni
    • google-omni-flash(异步·文生视频)
      POST
    • google-omni-flash(查询交互)
      GET
    • google-omni-flash(下载视频(Google Files))
      GET
    • google-omni-flash(下载视频(GCS))
      GET
    • google-omni-flash(查询文件状态)
      GET
  • 数据模型
    • Video Create Request Schema
    • PostV1VideoCreateResponse
    • NewApiError
  1. Omni

Omni-Flash 视频生成

POST
/v1/video/create
Omni-Flash · 统一视频创建(POST /v1/video/create,VEO relay 物理路由,主文档见 relay/veo)。
按 model=omni-flash / omni-flash-edit 走 Omni-Flash 链路;type 决定具体能力:
1=文生视频(仅需 prompt)
2=首尾帧(images 需 1~2 张)
3=垫图参考(images 需 1~3 张)
4=Omni-Flash 视频编辑(需 input_reference)
返回 id(任务 ID),轮询 GET /v1/video/query?id= 获取结果。

网站中的模型与调用示例#

创建视频(参考图)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "aspect_ratio": {
      "description": "“16:9”或“9:16”",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "\"16:9\" or \"9:16\""
        }
      }
    },
    "enable_upsample": {
      "description": "超分",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Upscale"
        }
      }
    },
    "enhance_prompt": {
      "description": "由于 veo 只支持英文提示词,所以如果需要中文自动转成英文提示词,可以开启此开关\n",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Veo only supports English prompts. Enable this to auto-translate Chinese prompts to English."
        }
      }
    },
    "images": {
      "description": "\t支持:首帧、文本\n\t\tveo2、veo2-fast、veo2-pro\n\t支持:首尾帧、首帧、文本\n\t\tveo2-fast-frames\n\t\tveo3、veo3-fast、veo3-pro、veo3-frames、veo3-fast-frames、veo3-pro-frames\n\t\tveo_3_1、veo_3_1-fast\n\t\tveo3.1、veo3.1-fast、veo3.1-pro、veo3.1-4k、veo3.1-pro-4k\n\t支持:参考图(1-3)、文本\n\t\tveo_3_1-components、veo3.1-components、veo3.1-fast-components、veo3.1-components-4k",
      "items": {
        "type": "string"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "Supports: first frame + text (veo2, veo2-fast, veo2-pro); first/last frame + text (veo2-fast-frames, veo3 family, veo3.1 family); reference images (1-3) + text (veo3.1-components family)."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum values:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames"
        }
      }
    },
    "prompt": {
      "description": "提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "veo_fl_close": {
      "description": "是否关闭自动首尾帧,默认false",
      "type": "boolean"
    },
    "watermark": {
      "description": "是否删除水印",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Whether to remove the watermark"
        }
      }
    }
  },
  "required": [
    "model",
    "prompt",
    "enhance_prompt",
    "enable_upsample",
    "aspect_ratio",
    "veo_fl_close"
  ]
}

请求示例 · 创建视频(参考图)#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png",
    "https://iknow-pic.cdn.bcebos.com/5882b2b7d0a20cf4ced1ab5f64094b36adaf99e9"
  ],
  "model": "veo3.1-fast",
  "prompt": "牛飞上天了",
  "veo_fl_close": true,
  "watermark": false
}

请求示例 · 创建视频,带图片#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
  ],
  "model": "veo3-fast-frames",
  "prompt": "牛飞上天了"
}

请求示例 · 创建视频#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
  ],
  "model": "veo3.1-fast",
  "prompt": "make animate"
}

响应示例 · 成功示例#

{
  "id": "veo3.1-components:1762241017-xTL0P9HvGF",
  "status": "pending",
  "status_update_time": 1762241017286
}

创建视频(参考图)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "aspect_ratio": {
      "description": "“16:9”或“9:16”",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "\"16:9\" or \"9:16\""
        }
      }
    },
    "enable_upsample": {
      "description": "超分",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Upscale"
        }
      }
    },
    "enhance_prompt": {
      "description": "由于 veo 只支持英文提示词,所以如果需要中文自动转成英文提示词,可以开启此开关\n",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Veo only supports English prompts. Enable this to auto-translate Chinese prompts to English."
        }
      }
    },
    "images": {
      "description": "\t支持:首帧、文本\n\t\tveo2、veo2-fast、veo2-pro\n\t支持:首尾帧、首帧、文本\n\t\tveo2-fast-frames\n\t\tveo3、veo3-fast、veo3-pro、veo3-frames、veo3-fast-frames、veo3-pro-frames\n\t\tveo_3_1、veo_3_1-fast\n\t\tveo3.1、veo3.1-fast、veo3.1-pro、veo3.1-4k、veo3.1-pro-4k\n\t支持:参考图(1-3)、文本\n\t\tveo_3_1-components、veo3.1-components、veo3.1-fast-components、veo3.1-components-4k",
      "items": {
        "type": "string"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "Supports: first frame + text (veo2, veo2-fast, veo2-pro); first/last frame + text (veo2-fast-frames, veo3 family, veo3.1 family); reference images (1-3) + text (veo3.1-components family)."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum values:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames"
        }
      }
    },
    "prompt": {
      "description": "提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "veo_fl_close": {
      "description": "是否关闭自动首尾帧,默认false",
      "type": "boolean"
    },
    "watermark": {
      "description": "是否删除水印",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Whether to remove the watermark"
        }
      }
    }
  },
  "required": [
    "model",
    "prompt",
    "enhance_prompt",
    "enable_upsample",
    "aspect_ratio",
    "veo_fl_close"
  ]
}

请求示例 · 创建视频(参考图)#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png",
    "https://iknow-pic.cdn.bcebos.com/5882b2b7d0a20cf4ced1ab5f64094b36adaf99e9"
  ],
  "model": "veo3.1-fast",
  "prompt": "牛飞上天了",
  "veo_fl_close": true,
  "watermark": false
}

请求示例 · 创建视频,带图片#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
  ],
  "model": "veo3-fast-frames",
  "prompt": "牛飞上天了"
}

请求示例 · 创建视频#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
  ],
  "model": "veo3.1-fast",
  "prompt": "make animate"
}

响应示例 · 成功示例#

{
  "id": "veo3.1-components:1762241017-xTL0P9HvGF",
  "status": "pending",
  "status_update_time": 1762241017286
}

创建视频(参考图)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "aspect_ratio": {
      "description": "“16:9”或“9:16”",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "\"16:9\" or \"9:16\""
        }
      }
    },
    "enable_upsample": {
      "description": "超分",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Upscale"
        }
      }
    },
    "enhance_prompt": {
      "description": "由于 veo 只支持英文提示词,所以如果需要中文自动转成英文提示词,可以开启此开关\n",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Veo only supports English prompts. Enable this to auto-translate Chinese prompts to English."
        }
      }
    },
    "images": {
      "description": "\t支持:首帧、文本\n\t\tveo2、veo2-fast、veo2-pro\n\t支持:首尾帧、首帧、文本\n\t\tveo2-fast-frames\n\t\tveo3、veo3-fast、veo3-pro、veo3-frames、veo3-fast-frames、veo3-pro-frames\n\t\tveo_3_1、veo_3_1-fast\n\t\tveo3.1、veo3.1-fast、veo3.1-pro、veo3.1-4k、veo3.1-pro-4k\n\t支持:参考图(1-3)、文本\n\t\tveo_3_1-components、veo3.1-components、veo3.1-fast-components、veo3.1-components-4k",
      "items": {
        "type": "string"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "Supports: first frame + text (veo2, veo2-fast, veo2-pro); first/last frame + text (veo2-fast-frames, veo3 family, veo3.1 family); reference images (1-3) + text (veo3.1-components family)."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum values:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames"
        }
      }
    },
    "prompt": {
      "description": "提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "veo_fl_close": {
      "description": "是否关闭自动首尾帧,默认false",
      "type": "boolean"
    },
    "watermark": {
      "description": "是否删除水印",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Whether to remove the watermark"
        }
      }
    }
  },
  "required": [
    "model",
    "prompt",
    "enhance_prompt",
    "enable_upsample",
    "aspect_ratio",
    "veo_fl_close"
  ]
}

请求示例 · 创建视频(参考图)#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png",
    "https://iknow-pic.cdn.bcebos.com/5882b2b7d0a20cf4ced1ab5f64094b36adaf99e9"
  ],
  "model": "veo3.1-fast",
  "prompt": "牛飞上天了",
  "veo_fl_close": true,
  "watermark": false
}

请求示例 · 创建视频,带图片#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
  ],
  "model": "veo3-fast-frames",
  "prompt": "牛飞上天了"
}

请求示例 · 创建视频#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
  ],
  "model": "veo3.1-fast",
  "prompt": "make animate"
}

响应示例 · 成功示例#

{
  "id": "veo3.1-components:1762241017-xTL0P9HvGF",
  "status": "pending",
  "status_update_time": 1762241017286
}

创建视频(参考图)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "aspect_ratio": {
      "description": "“16:9”或“9:16”",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "\"16:9\" or \"9:16\""
        }
      }
    },
    "enable_upsample": {
      "description": "超分",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Upscale"
        }
      }
    },
    "enhance_prompt": {
      "description": "由于 veo 只支持英文提示词,所以如果需要中文自动转成英文提示词,可以开启此开关\n",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Veo only supports English prompts. Enable this to auto-translate Chinese prompts to English."
        }
      }
    },
    "images": {
      "description": "\t支持:首帧、文本\n\t\tveo2、veo2-fast、veo2-pro\n\t支持:首尾帧、首帧、文本\n\t\tveo2-fast-frames\n\t\tveo3、veo3-fast、veo3-pro、veo3-frames、veo3-fast-frames、veo3-pro-frames\n\t\tveo_3_1、veo_3_1-fast\n\t\tveo3.1、veo3.1-fast、veo3.1-pro、veo3.1-4k、veo3.1-pro-4k\n\t支持:参考图(1-3)、文本\n\t\tveo_3_1-components、veo3.1-components、veo3.1-fast-components、veo3.1-components-4k",
      "items": {
        "type": "string"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "Supports: first frame + text (veo2, veo2-fast, veo2-pro); first/last frame + text (veo2-fast-frames, veo3 family, veo3.1 family); reference images (1-3) + text (veo3.1-components family)."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum values:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames\nveo3-fast-frames\nveo3-frames"
        }
      }
    },
    "prompt": {
      "description": "提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "veo_fl_close": {
      "description": "是否关闭自动首尾帧,默认false",
      "type": "boolean"
    },
    "watermark": {
      "description": "是否删除水印",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "Whether to remove the watermark"
        }
      }
    }
  },
  "required": [
    "model",
    "prompt",
    "enhance_prompt",
    "enable_upsample",
    "aspect_ratio",
    "veo_fl_close"
  ]
}

请求示例 · 创建视频(参考图)#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png",
    "https://iknow-pic.cdn.bcebos.com/5882b2b7d0a20cf4ced1ab5f64094b36adaf99e9"
  ],
  "model": "veo3.1-fast",
  "prompt": "牛飞上天了",
  "veo_fl_close": true,
  "watermark": false
}

请求示例 · 创建视频,带图片#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
    "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
  ],
  "model": "veo3-fast-frames",
  "prompt": "牛飞上天了"
}

请求示例 · 创建视频#

{
  "aspect_ratio": "16:9",
  "enable_upsample": true,
  "enhance_prompt": true,
  "images": [
    "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
  ],
  "model": "veo3.1-fast",
  "prompt": "make animate"
}

响应示例 · 成功示例#

{
  "id": "veo3.1-components:1762241017-xTL0P9HvGF",
  "status": "pending",
  "status_update_time": 1762241017286
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Header 参数

Body 参数application/json必填

示例
{
    "model": "omni-flash-edit",
    "prompt": "提升色彩与光影",
    "input_reference": "https://cdn.dealonhorizon.us/video/d2fa3281de7a69f3ac07b3451cf922e3ba609daad00d081674b283a63de67e54.mp4",
    "type": 4
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "omni-flash-edit",
    "prompt": "提升色彩与光影",
    "input_reference": "https://cdn.dealonhorizon.us/video/d2fa3281de7a69f3ac07b3451cf922e3ba609daad00d081674b283a63de67e54.mp4",
    "type": 4
}'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "id": "omni-flash_X:task_uAbDkbRmcOafvSBBmNWwQkIA1gvTdoaX",
    "status": "queued",
    "status_update_time": 1779950697931
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:14
下一页
查询结果
Built with